## org.eclipse.jet.xpath
Class XPathRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.jet.xpath.XPathRuntimeException

All Implemented Interfaces:
  java.io.Serializable

    public class XPathRuntimeException

extends java.lang.RuntimeException

Indentify a runtime exception arising from the execution of an XPath expression.

See Also:
  Serialized Form

Constructor Summary
`XPathRuntimeException()`
`XPathRuntimeException(java.lang.String message)`
`XPathRuntimeException(java.lang.String message, java.lang.Throwable throwable)`
`XPathRuntimeException(java.lang.Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathRuntimeException

    public XPathRuntimeException()

### XPathRuntimeException

    public XPathRuntimeException(java.lang.String message)

Parameters:
  `message` -

### XPathRuntimeException

    public XPathRuntimeException(java.lang.String message,
                                 java.lang.Throwable throwable)

Parameters:
  `message` -
  `throwable` -

### XPathRuntimeException

    public XPathRuntimeException(java.lang.Throwable throwable)

Parameters:
  `throwable` -

Copyright 2006 IBM Corporation and others. All Rights Reserved.